Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Downloaded JMeter to do some testing, but trying to run it I get teh following errors

[oracle@ripple jakarta-jmeter-2.5]$ bin/jmeter
Warning: -server not understood. Ignoring.
Warning: -XX:+HeapDumpOnOutOfMemoryError not understood. Ignoring.
Warning: -Xms512m not understood. Ignoring.
Warning: -Xmx512m not understood. Ignoring.
Warning: -XX:NewSize=128m not understood. Ignoring.
Warning: -XX:MaxNewSize=128m not understood. Ignoring.
Warning: -XX:MaxTenuringThreshold=2 not understood. Ignoring.
Warning: -XX:PermSize=64m not understood. Ignoring.
Warning: -XX:MaxPermSize=64m not understood. Ignoring.
Warning: -jar not understood. Ignoring.
Exception in thread "main" java.lang.NoClassDefFoundError: bin.ApacheJMeter.jar
   at gnu.gcj.runtime.FirstThread.run() (/usr/lib64/libgcj.so.5.0.0)
   at _Jv_ThreadRun(java.lang.Thread) (/usr/lib64/libgcj.so.5.0.0)
   at _Jv_RunMain(java.lang.Class, byte const, int, byte const, boolean) (/usr/lib64/libgcj.so.5.0.0)
   at __gcj_personality_v0 (/home/oracle/jakarta-jmeter-2.5/java.version=1.4.2)
   at __libc_start_main (/lib64/tls/libc-2.3.4.so)
   at _Jv_RegisterClasses (/home/oracle/jakarta-jmeter-2.5/java.version=1.4.2)

Java is installed and functional (This server runs an Oracle IAS server). How do I get JMeter to work?

Running RHEL 4 update 5, Java version is 1.4.2

share|improve this question

1 Answer 1

up vote 2 down vote accepted

You should download and install Java 1.6 SDK from Oracle site. GNU implementation of Java (GNU GCJ) can't handle startup parameters as you can see.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.